/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class contrib_io_tdb */

#ifndef _Included_contrib_io_tdb
#define _Included_contrib_io_tdb
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     contrib_io_tdb
 * Method:    consInitOpen
 * Signature: (Ljava/lang/String;[Ljava/lang/String;)J
 */
JNIEXPORT jlong JNICALL Java_contrib_io_tdb_consInitOpen
  (JNIEnv *, jobject, jstring, jobjectArray);

/*
 * Class:     contrib_io_tdb
 * Method:    consFinalize
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_contrib_io_tdb_consFinalize
  (JNIEnv *, jobject, jlong);

/*
 * Class:     contrib_io_tdb
 * Method:    consClose
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_contrib_io_tdb_consClose
  (JNIEnv *, jobject, jlong);

/*
 * Class:     contrib_io_tdb
 * Method:    consAdd
 * Signature: (J[BJ[Ljava/lang/String;)I
 */
JNIEXPORT jint JNICALL Java_contrib_io_tdb_consAdd
  (JNIEnv *, jobject, jlong, jbyteArray, jlong, jobjectArray);

/*
 * Class:     contrib_io_tdb
 * Method:    errorStr
 * Signature: (I)Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_contrib_io_tdb_errorStr
  (JNIEnv *, jobject, jint);

#ifdef __cplusplus
}
#endif
#endif
